# Lists contact information

<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/configurations/contact-infos</span>
This endpoint returns the merchant's detailed information.
The list includes contact information records for the merchant, such as address, phone number, and credit cards.
This information can be integrated with other endpoints of the application, such as the invoice creation functionality.

Endpoint: GET /pay-api/v1/configurations/contact-infos
Version: V1
Security: Bearer

## Response 200 fields (application/json):

  - `contactInfos` (array)
    A list of contact information entries associated with the merchant.

  - `contactInfos.id` (string)
    The identifier of the contact information record.

Example: 24d5e6f7-8a9b-4c0d-1e2f-3a4b5c6d7e03
    Example: 24d5e6f7-8a9b-4c0d-1e2f-3a4b5c6d7e03

  - `contactInfos.addressName` (string)
    The name or label of the address.
Examples:
Main Office
Warehouse
    Example: Main Office

  - `contactInfos.addressLine1` (string)
    Specifies the street address.

Example: 322 Unicorn Boulevard
    Example: 322 Unicorn Boulevard

  - `contactInfos.addressLine2` (string)
    Specifies additional street address information.

Example: Office 3
    Example: Office 3

  - `contactInfos.city` (string)
    Indicates the name of the city.

Example: Chicago
    Example: Chicago

  - `contactInfos.zip` (string)
    Indicates the postal or ZIP code.
Examples:
60612
60612-0001
    Example: 60612

  - `contactInfos.countryId` (integer)
    Specifies the Flute country identifier.
Example: 1
    Example: 1

  - `contactInfos.stateId` (integer)
    Specifies the Flute US state or territory identifier code.
Example: 4
    Example: 4

  - `contactInfos.stateName` (string)
    Indicates the full state name.
Examples:
Texas
Washington
Illinois
    Example: Illinois

  - `contactInfos.email` (string)
    The email address associated with this contact information.
Example: pepparedstreetcafe@example.com
    Example: pepparedstreetcafe@example.com

  - `contactInfos.businessPhoneNumber` (string)
    The business phone number for this contact.
Example: +14155552309
    Example: +14155552309

  - `contactInfos.merchantId` (string)
    Indicates the identifier of the merchant.

Example: 46063d32-10fa-44cb-b118-20ddd085ce3f
    Example: 46063d32-10fa-44cb-b118-20ddd085ce3f

  - `contactInfos.isMainAddress` (boolean)
    Indicates this is the main address for the merchant.
If `true`, this is the main address for the merchant.
If `false`, this is not the main address for the merchant.
Example: true
    Example: true

  - `contactInfos.isDefaultAddress` (boolean)
    Indicates this is the default address used for the merchant.
If `true`, this is the default address used for the merchant.
If `false`, this is not the default address used for the merchant.
Example: true
    Example: true

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

## Response 500 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

